package cn.com.countrygarden.bi.main.dto;

import cn.com.countrygarden.bi.main.model.bd_psndoc;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * package: cn.com.countrygarden.bi.main.dto
 * describe: 管家数据
 * creat_user: lsl
 * creat_date: 2018/6/29
 * creat_time: 16:42
 **/
public class HouseKeeperDTO extends bd_psndoc implements Serializable{

    private Integer followFlag;

    private String region;

    private String regionCode;
    
    private String projectName;
    
	private String gardenDistrict;
	
	@JsonFormat(pattern="yyyy/MM/dd HH:mm",timezone = "GMT+8")
	private Date jurisdictionMonth;

	@JsonFormat(pattern="yyyy/MM/dd HH:mm",timezone = "GMT+8")
	private Date joinworkDate;
	/**
	 * 列表显示的管辖月数
	 */
	private String jurisdictionForMonth;
	
	private String housekeeperPhone;
	
	private Integer phoneIsfixed;
	
	private String serviceCenterHotline;
	
//	@JsonFormat(pattern="yyyy/MM/dd HH:mm",timezone = "GMT+8")
//	private Date hotlineConnectionTime;
	private String hotlineConnectionTime;

	private Integer housekeeperId;
	
	private Integer houses;
	
	private Integer villas;
	
	private Integer shops;
	
	private String commName;

	private String organName;
	
	private String developmentSubject;
	/**
	 * 年龄结构
	 * @return
	 */
	private String ageStructure;
	
	private String jobLv;
	
	private String remark;
	
	private String userCode;
	
	private String hjid;

	private Integer bid;

	private String commCode;

	private Integer gxhs;

	public String getHjid() {
		return hjid;
	}

	public void setHjid(String hjid) {
		this.hjid = hjid;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getFollowFlag() {
		return followFlag;
	}

	public void setFollowFlag(Integer followFlag) {
		this.followFlag = followFlag;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}

	public String getRegionCode() {
		return regionCode;
	}

	public void setRegionCode(String regionCode) {
		this.regionCode = regionCode;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getGardenDistrict() {
		return gardenDistrict;
	}

	public void setGardenDistrict(String gardenDistrict) {
		this.gardenDistrict = gardenDistrict;
	}

	public Date getJurisdictionMonth() {
		return jurisdictionMonth;
	}

	public void setJurisdictionMonth(Date jurisdictionMonth) {
		this.jurisdictionMonth = jurisdictionMonth;
	}

	public String getJurisdictionForMonth() {
		return jurisdictionForMonth;
	}

	public void setJurisdictionForMonth(String jurisdictionForMonth) {
		this.jurisdictionForMonth = jurisdictionForMonth;
	}

	public String getHousekeeperPhone() {
		return housekeeperPhone;
	}

	public void setHousekeeperPhone(String housekeeperPhone) {
		this.housekeeperPhone = housekeeperPhone;
	}

	public Integer getPhoneIsfixed() {
		return phoneIsfixed;
	}

	public void setPhoneIsfixed(Integer phoneIsfixed) {
		this.phoneIsfixed = phoneIsfixed;
	}

	public String getServiceCenterHotline() {
		return serviceCenterHotline;
	}

	public void setServiceCenterHotline(String serviceCenterHotline) {
		this.serviceCenterHotline = serviceCenterHotline;
	}

	public String getHotlineConnectionTime() {
		return hotlineConnectionTime;
	}

	public void setHotlineConnectionTime(String hotlineConnectionTime) {
		this.hotlineConnectionTime = hotlineConnectionTime;
	}

	public Integer getHousekeeperId() {
		return housekeeperId;
	}

	public void setHousekeeperId(Integer housekeeperId) {
		this.housekeeperId = housekeeperId;
	}

	public Integer getHouses() {
		return houses;
	}

	public void setHouses(Integer houses) {
		this.houses = houses;
	}

	public Integer getVillas() {
		return villas;
	}

	public void setVillas(Integer villas) {
		this.villas = villas;
	}

	public Integer getShops() {
		return shops;
	}

	public void setShops(Integer shops) {
		this.shops = shops;
	}

	public String getCommName() {
		return commName;
	}

	public void setCommName(String commName) {
		this.commName = commName;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getDevelopmentSubject() {
		return developmentSubject;
	}

	public void setDevelopmentSubject(String developmentSubject) {
		this.developmentSubject = developmentSubject;
	}

	public String getAgeStructure() {
		return ageStructure;
	}

	public void setAgeStructure(String ageStructure) {
		this.ageStructure = ageStructure;
	}

	public String getJobLv() {
		return jobLv;
	}

	public void setJobLv(String jobLv) {
		this.jobLv = jobLv;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public Integer getBid() {
		return bid;
	}

	public void setBid(Integer bid) {
		this.bid = bid;
	}

	public String getCommCode() {
		return commCode;
	}

	public void setCommCode(String commCode) {
		this.commCode = commCode;
	}

    public Date getJoinworkDate() {
        return joinworkDate;
    }

    public void setJoinworkDate(Date joinworkDate) {
        this.joinworkDate = joinworkDate;
    }

	public Integer getGxhs() {
		return gxhs;
	}

	public void setGxhs(Integer gxhs) {
		this.gxhs = gxhs;
	}
}
